Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1081 (new defect)

Opened 15 years ago

Last modified 13 years ago

Poor performance with AR5212 and madwifi-ng current (10 january 2007)

Reported by: doumlaberge@hotmail.com Assigned to:
Priority: major Milestone:
Component: madwifi: other Version: trunk
Keywords: rx invalid nwid Cc:
Patch is attached: 0 Pending:

Description (Last modified by mrenzmann)

This bug is driving me crazy...

When I compile the latest madwifi-ng on Kubuntu edgy (6.10) evrything goes well. The driver load and I can associate with nearby access point. I am using an Ubiquiti 300mw abg pcmcia card with a 16db yagi antenna so I expect to have pretty good performances, but it is not the case.

When I first tryed to get connected with kNetworkManager to near access point ( lets say 10-30 meters ) with real great signal the client keep dropping after some period of time.

Tryed uninstalling network manager and connecting manually, now the client stay connected but the connection drop regulary.

Ping request to the router are lost at 10%!!!

I noticed no strange behavior except that the Rx invalid nwid keep going up at an outrageous rate... here is an example :

06:00.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC (rev 01)

ath0      IEEE 802.11g  ESSID:"default"
          Mode:Managed  Frequency:2.437 GHz  Access Point: 00:13:46:1A:91:E8
          Bit Rate=11 Mb/s   Tx-Power:16 dBm   Sensitivity=0/3
          Retry:off   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality=23/94  Signal level=-69 dBm  Noise level=-92 dBm
          Rx invalid nwid:187398  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

I wish I could be more specific but I dont see anything else wrong...

I tryed to stop the background scan, locking the card to wireless G, changing the rate without any result.

Same behavior with every AP...

Btw thanks for your effort in developping the driver, VAP are so nice :P

Change History

01/12/07 19:11:13 changed by doumlaberge@hotmail.com

I tryed the 9.2.1 driver.

With those I still have bad performance but no Rx invalid nwid and the client can ping the router 100% with background scan enabled and not being locked to a specific mode.

Bad performance is still anoying and the client disconnect after some hours and I must do ifconfig down/ifconfig up to get reconnected.

Will probably try with madiwifi-old since I cannot get a new one to work :(

01/14/07 09:04:48 changed by mrenzmann

  • description changed.

01/19/07 13:45:29 changed by joseluis.marti@gmail.com

The parameter "Rx invalid nwid" may indicate an adjacent AP on the same frequency.

You could test changing the AP frequency, assigning a channel not used by the nearest AP's.

01/22/07 01:45:17 changed by doumlaberge@hotmail.com

could not get madwifi old working

I still have the same problem with every driver. Most of the AP here are on channel 6 and maybe this is the cause of my problem.

Still I dont know why the driver keep disconnecting me after some time... I dont get the expected performance whatever I try... :(

01/22/07 04:43:11 changed by doumlaberge@hotmail.com

tryed with the zincroshit zindows version of the atheros driver, everything work fine and I get way better performances... can cannot much faster (50x speed) at much longer distance than with the madwifi driver :( :( :(!!!!!!!!!!!!! i wont sleep till i get my card working well under linux ;) btw monitor mode and injecting packet is pretty sweet and work 100%

01/22/07 04:46:36 changed by doumlaberge@hotmail.com

it seem to me that the card is somewhat stopping for a while for a scan process and thats why the connection pause randomly.... maybe that scanning the whole range of a~b~g network is way too long to get a stable connection.... any idea??

01/22/07 04:58:23 changed by doumlaberge@hotmail.com

sry for the "spamming" of post... I post everytime I think I get something new... I looked a while at the dl vs upload speed over a long period of times on different AP... The upload speed is kinda nice ( average 100k sec on every AP ) but the download speed is still very slow on every AP (max 20k sec) I know that the connection around here have much more download speed than upload so it is kinda strange.... still cant get connected more than some minutes between connection drop and connection stop getting packets frequently during those minutes... dont know if it can help... if you need more information please ask anything you need to know... thx!

01/22/07 17:17:28 changed by doumlaberge@hotmail.com

I found that increasing the beacon interval of the AP from 100 to 250 seem to "improve" my poor dl speed a bit... real strange... if I set the interval to 500 the client continuously disconnect every 4-5 second...

02/13/07 03:57:41 changed by anonymous

I get the same results over here. Using Atheros AR5BMB5 in Ubuntu Edgy. The 'Rx Invalid NWID' grows very fast, even with no other APs in the area. And sometimes it keeps disconnecting frequently. When connected, speed is good though.

03/03/07 14:46:08 changed by SoftIce

Hi, same problem here. I changed my AP to a free channel and "RX invalid NWID" at the client (Thinkpad Laptop) isn't growing as fast as before. But the random disconnects remain... And at university I can't change the AP's channel, but like to work reliably there over WLAN, without disconnects :(

Hardware: 03:00.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC (rev 01) Subsystem: IBM ThinkPad? 11a/b/g Wireless LAN Mini Express Adapter (AR5BXB6)

Software: Madwifi: latest from SVN (revision 2171)

03/29/07 16:11:09 changed by nitsua

I'm having the same problem.. No installation problems but rx nwid errors growing fast!! cant find any solution though..

(follow-up: ↓ 13 ) 04/02/07 05:13:59 changed by PsichoD

Same problem here.... The card worked for me before, but when I've tried using it again a few days ago I'm getting a really bad signal (Link Quality=51/94) while my other Thinkpad T60 with ipw3945 works perfectly.

Gentoo Linux alien 2.6.19-gentoo-r5 #23 SMP PREEMPT Thu Mar 22 15:43:52 PDT 2007 i686 AMD Athlon(tm) 64 FX-60 Dual Core Processor AuthenticAMD GNU/Linux madwifi-ng-0.9.3-r2

(in reply to: ↑ 12 ; follow-up: ↓ 14 ) 04/02/07 14:03:18 changed by mrenzmann

Replying to PsichoD:

I'm getting a really bad signal (Link Quality=51/94)

You're interpreting the link quality reading wrong. It's no fraction (see also: UserDocs/RSSI). The first value (51 in your case) is the current RSSI reading, the second is the current noise. You seem to use an older version of MadWifi where the noise was reported as a constant noise floor rather than the "real" noise on the channel.

Poor performance in your case might be caused by the problem that is explained on FAQ/SignalTooStrong.

(in reply to: ↑ 13 ) 04/09/07 07:59:18 changed by anonymous

Replying to mrenzmann: Link Quality=51/94

Poor performance in your case might be caused by the problem that is explained on FAQ/SignalTooStrong.

Thanks for the tip! The nwid is indeed seems to be a related to the AP proximity - when I go to another room my link quality goes: "Link Quality=32/94" and "Rx invalid nwid:0".

There is another problem though - after associating with the AP and getting an IP address from a DHCP server, I still can't use the card. I can't even ping the AP.

P.S I'm using the latest SVN r2256 and 2.6.19-gentoo-r5 kernel.

(follow-up: ↓ 16 ) 04/20/07 22:18:01 changed by anonymous

Same problem here with my Thinkpad T40p. Works fine in windoze, but about 50 percent link quality and the connection keeps dropping, RX invalid nwid increasing. I have two APs at home but i've tried shutting one off, changing channels, but nothing worked.

Im using latest Ubuntu Feasty Fawn stuff, kernel 2.6.20, madwifi 0.9.3

(in reply to: ↑ 15 ; follow-up: ↓ 17 ) 04/21/07 06:38:36 changed by mrenzmann

Replying to anonymous:

but about 50 percent link quality and the connection keeps dropping, RX invalid nwid increasing.

Please show us the output of iwconfig.

(in reply to: ↑ 16 ; follow-up: ↓ 19 ) 04/22/07 18:21:33 changed by anonymous

Replying to mrenzmann:

Replying to anonymous:

but about 50 percent link quality and the connection keeps dropping, RX invalid nwid increasing.

Please show us the output of iwconfig.

I got this now:

ath0      IEEE 802.11g  ESSID:"Moren0"  Nickname:""
          Mode:Managed  Frequency:2.437 GHz  Access Point: 00:14:6C:CE:8C:82
          Bit Rate:48 Mb/s   Tx-Power:14 dBm   Sensitivity=0/3
          Retry:off   RTS thr:off   Fragment thr:off
          Encryption key:*****   Security mode:restricted
          Power Management:off
          Link Quality=52/94  Signal level=-46 dBm  Noise level=-98 dBm
          Rx invalid nwid:264  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

The annoying thing is that it's working pretty good right now. Usually the invalid nwid increases a lot faster, and the connection drops much more frequently. It must be having a good day or something :)

(follow-up: ↓ 55 ) 04/23/07 00:32:05 changed by nuclearcat

Same issue here, strange thing, on gentoo, possible it is related to init-scripts, i am getting association, everything is fine in iwconfig, but no traffic, and nwid increasing like hell. After i do just iwconfig ath0 chan 1 (or any channel), everything begin works well. I will try to run debug soon, and i will post it here.

(in reply to: ↑ 17 ) 04/23/07 07:38:39 changed by mrenzmann

Replying to anonymous:

Link Quality=52/94 Signal level=-46 dBm Noise level=-98 dBm

I have already explained in this ticket that the link quality is no fraction. Your problem might be that the link quality is not bad, but too good instead. See comment 13 above.

(follow-up: ↓ 23 ) 04/24/07 22:47:54 changed by PsichoD

How do I overcome the proximity issue - I can't move my desk, neither I can move the AP.... ?? Is there any other way to decrease the signal strength?

(follow-up: ↓ 22 ) 04/24/07 22:56:20 changed by Mister_X

PsichoD, if you're so close to the AP, why not use a cable instead of wireless?

(in reply to: ↑ 21 ) 04/24/07 23:14:45 changed by anonymous

Replying to Mister_X:

PsichoD, if you're so close to the AP, why not use a cable instead of wireless?

Well that's what I'm forced to do right now, but running a cable over the living room is not my first choice.

(in reply to: ↑ 20 ) 04/25/07 07:22:20 changed by mrenzmann

Replying to PsichoD:

Is there any other way to decrease the signal strength?

Decrease the TX power used by client and AP.

05/09/07 17:50:55 changed by anonymous

Same problem here with increasing Rx invalid nwid and occasional disconnects, using feisty fawn original installation. May have solved it, feels a lot more stable now at least since i used the lines of commands from the following link, this makes me configure my wlan manually tho which is fine but would be nice if there were a fix to get nm-applet etc. to work flawless with these modifications too. h**p://madwifi.org/wiki/UserDocs/Troubleshooting#WhywontmywirelessNICassociateproperlywhenIuseenablerestrictedmodeWEPonmyAP

Anyway here is my iwconfig output for your research/educational purposes :P :

ath0      IEEE 802.11g  ESSID:"default"  Nickname:""
          Mode:Managed  Frequency:2.437 GHz  Access Point: 00:0F:3D:0B:30:4E   
          Bit Rate:1 Mb/s   Tx-Power:8 dBm   Sensitivity=0/3  
          Retry:off   RTS thr:off   Fragment thr:off
          Encryption key:****-****-**   Security mode:restricted
          Power Management:off
          Link Quality=12/94  Signal level=-85 dBm  Noise level=-97 dBm
          Rx invalid nwid:65090  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

Ps. Sitting on a IBM laptop as many of you other ppl.

05/12/07 10:52:01 changed by dvd.mchl@gmail.com

I have the same problem with my IBM T42. Low Bit Rate and growing invalid nwid.

dmesg:
wlan: 0.8.4.2 (0.9.3)
ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
ath_pci: 0.9.4.5 (0.9.3)
ath_rate_sample: 1.2 (0.9.3)
wifi0: Atheros 5212: mem=0xc0210000, irq=11

iwconfig:
ath0      IEEE 802.11g  ESSID:"DDHome"  Nickname:""
          Mode:Managed  Frequency:2.427 GHz  Access Point: 00:11:F5:D2:A0:EE   
          Bit Rate:18 Mb/s   Tx-Power:0 dBm   Sensitivity=0/3  
          Retry:off   RTS thr:off   Fragment thr:off
          Power Management:off
          Link Quality=37/94  Signal level=-55 dBm  Noise level=-92 dBm
          Rx invalid nwid:1541  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

scan:          
SSID            BSSID              CHAN RATE  S:N   INT CAPS
0x00000...      00:14:7f:92:d4:42    6   54M 32:0   100 EPs  WPA WME
BTHomeHub-AC6B  00:14:7f:d0:f5:dd   11   54M  8:0   100 EPs  WME
SKY90363        00:18:4d:15:a3:04   11   54M 19:0   100 EPSs WPA WME ATH
DDHome          00:11:f5:d2:a0:ee    4   54M 37:0   100 EPs 
BTVOYAGER20...  00:16:e3:0c:03:3e    8   54M  9:0   100 EPs 
BTHomeHub-1041  00:14:7f:5e:67:ca    1   54M  4:0   100 EPs  WME

05/12/07 11:04:40 changed by strasak@bubakov.net

According to my experience, rx invalid nwid are usually caused by interference. From scan it seems there is another AP with strong signal on channel 6. Channel 6 and channel 4 overlap, so there for sure is high interference on channel 4, where your AP sits. Try to change channel , if AP is under your control, to 1 (or 2) or 11 - but there is AP - even two of them - with relatively strong signal too so that is not ideal - 12 or 13 . Remember , that there are only 3 non-overlaping channels in 2,4 band - althrought various combos of them aka 1,6,11 or 2,7,12 or 3,8,13 etc. .

05/13/07 10:41:45 changed by anonymous

Try turning off background scanning with:

iwpriv ath0 bgscan 0

05/13/07 13:36:59 changed by anonymous

Since I've used the solution that i posted a link to earlier i dont get disconnected all the time... Alltho it seems that me being connected to the router with this feisty installation makes it go down more often, requiring a reboot.. And it's quite a big difference to go down once a week or once a day.. Longing for getting my own TP up from him so I can control my own router.. hmmppf...

(follow-up: ↓ 30 ) 05/15/07 00:40:06 changed by dvd.mchl@gmail.com

Hi, I was playing with channels as strasak at bubakov.net advised and it helps (are you from Czech? if so me too). Finally I have found channel 3 as most stable for me. The nwid is still growing but much more slower then before. Interesting thing was I saw different APs on each channel I did try to setup on my own AP. Is there any syntax for wlanconfig or iwconfig to force them scan all frequencies for APs? Anyway, thanks a lot for help.

(in reply to: ↑ 29 ; follow-up: ↓ 52 ) 05/15/07 06:36:24 changed by mrenzmann

  • status changed from new to assigned.
  • owner set to mrenzmann.

Replying to dvd.mchl@gmail.com:

Is there any syntax for wlanconfig or iwconfig to force them scan all frequencies for APs?

iwlist ath0 scan should give what you want.

Note to self: check the source for all possible scenarios that make the "invalid nwid" counter grow and explain them in the wiki - this is a FAQ.

06/16/07 02:58:57 changed by boutcher@us.ibm.com

I'm having the same problem as others here. What is totally wierd is that I have two thinkpads; a T40 and a T60, running identical code levels and both with Atheros chipsets (03:00.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC (rev 01))

The T40 connects fine. The T60 loses its association if it gets more than about 5 feet from the AP. Lots of "RX Invalid nwid".

ath0      IEEE 802.11g  ESSID:"exponential"  Nickname:""
          Mode:Managed  Frequency:2.462 GHz  Access Point: 00:13:10:7D:9D:9D
          Bit Rate:5 Mb/s   Tx-Power:17 dBm   Sensitivity=1/1  
          Retry:off   RTS thr:off   Fragment thr:off
          Encryption key:DFF5-70FD-CF   Security mode:restricted
          Power Management:off
          Link Quality=64/70  Signal level=-35 dBm  Noise level=-99 dBm
          Rx invalid nwid:6467  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

There are some intersting things in athstats too (that I'm not qualified to interpret.)

$ athstats
3 beacon miss interrupts
1217 tx management frames
410 tx failed due to too many retries
3689 long on-chip tx retries
1153 tx frames with no ack marked
105 tx frames with an alternate rate
253 rx failed due to bad CRC
263 rx failed due to frame too short
1 PHY errors
    1 CCK restart
623 periodic calibrations
rssi of last ack: 71
rssi of last rcv: 62
2048 switched default/rx antenna
Antenna profile:
[1] tx      772 rx    14919
[2] tx      596 rx     8503

Anyone have any ideas? I've tweaked about every iwpriv parameter I can think of without success. I'm starting to wonder if it is a hardware defect, but unfortunately under Windows the same card works great.

Dave

06/16/07 03:37:47 changed by boutcher@us.ibm.com

And what totally blows chunks is that the card runs like a champ using the windows driver and ndiswrapper. Since I find that as appealing as sprinkling cockroach crap on my breakfast cereal, I'd be happy to help debug the original problem.

Dave

06/16/07 05:25:18 changed by mentor

FAQ

06/16/07 06:29:42 changed by mentor

  • summary changed from Rx invalid nwid and poor performance with AR5212 and madwifi-ng current (10 january 2007) to Poor performance with AR5212 and madwifi-ng current (10 january 2007).

Low throughput speeds sounds suspiciously like a problem with TPC that has been experienced by people.

Would you try with svn head, or by loading ath_pci with tpc=0?

06/17/07 16:44:12 changed by boutcher@us.ibm.com

I tried with both the 0.9.3 in Freisty as well as SVN head. Identical behaviour. And as far as I can tell, TPC is off by default (though I tried with it on at one point.) I think this set of messages is with SVN head.

ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 21
ath_pci: switching rfkill capability off
ath_pci: ath_pci: switching per-packet transmit power control off
ath_rate_sample: 1.2 (svn r2459)
wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 10.3 phy 6.1 radio 10.2
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
wifi0: Atheros 5212: mem=0xedf00000, irq=21

06/26/07 00:39:04 changed by boutcher@us.ibm.com

I just re-verified that with tpc=0 the problem still exists.

Is there a way to determine the specific chipset revision I'm running?

Dave

06/26/07 08:33:57 changed by rozteck@interia.pl

Have you tried disable fast frame and bursting (iwpriv ath0 ff 0; iwpriv ath0 burst 0)? I have very poor throughput when having laptop with intel card connected to ap running madwifi. Disabling those extensions make the problem gone away.

07/13/07 12:41:43 changed by Christoph Dwertmann

rozteck: Thanks for the great tip in your comment! The transfer rate on my AR5212 has nearly doubled after disabling those two features. It seems those are now enabled by default, as older revisions (such as 0.9.2.1) of madwifi did not produce this issue here. Problem solved, at least for me!

07/13/07 17:23:52 changed by mentor

Is Madwifi as an AP, using FF and bursting even if we haven't verified that the client supports it?

07/16/07 16:24:18 changed by rozteck@interia.pl

I'm afraid it is. I know about such problems with madwifi ap and several non-madwifi cards (for example intel ipw2200, dell true mobile 1300). Maybe some change from last month (or month and a half) has triggered this. In r1860 with refcount patch this wasn't occuring. It started to appear on my madwifi version (this is still r1860 but with many patches applied) some time ago. I can provide you a list of patches I have applied for that time - the list shouldn't be long - so maybe there will be some clue for this.

07/17/07 04:38:05 changed by boutcher@us.ibm.com

FYI, in my case the problem persists even with FF and Burst off.

Dave

07/17/07 06:40:09 changed by mtaylor

A number of TPC related patches were applied recently that could have resulted in very low transmit power. Have you tried head rev of trunk lately?

07/17/07 06:40:57 changed by mtaylor

Even r2591 which sets default antenna after reset could affect you if you only had one to start with. 50% of your packets may have gone nowhere.

07/20/07 22:25:37 changed by anonymous

Thanks!!! I just pulled SVN head and everything works again. I'm probably not going to have time to figure out which patch made the difference, but I'm a happy camper.

Dave

07/31/07 20:39:40 changed by jhansen@cardaccess-inc.com

I have had performance issues with HEAD (r2568+rxantenna fix from OpenWRT kamikaze 7.07) versus 0.9.3.1 as well. My AP was sending a lot of CTS packets once the link went below a certain RSSI (seems like about 15, or -80 dBm), and it was dropping a lot of data packets. So I turned off CTS altogether (iwpriv ath0 protmode 0), and none of the packets are dropped any more! There is clearly a bug in the CTS handling, which could have been introduced in the newer HAL or in some recent change to CTS handling in madwifi-ng.

09/24/07 17:43:04 changed by crusader@linuxgames.com

Thanks for the CTS tip; disabling protmode with madwifi-ng-0.9.3.2 on my AR5212 card fixed the occasional severe performance issues I had been having instantly (I was ssh'ed into the machine trying to fix it remotely, so it was immediately apparent).

(follow-up: ↓ 48 ) 10/28/07 17:07:35 changed by Thomas.Houssin@gmail.com

Same problem here : kernel 2.6.22-2-amd64 on debian, tested with debian madwifi package (0.9.3.2-2) and with svn (with same results). Here is the output on module insertion :

ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
wlan: 0.8.4.2 (0.9.3.2)
ath_pci: 0.9.4.5 (0.9.3.2)
ACPI: PCI Interrupt 0000:05:07.0[A] -> Link [APC2] -> GSI 17 (level, low) -> IRQ 17
ath_rate_sample: 1.2 (0.9.3.2)
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 7.9 phy 4.5 radio 5.6
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
wifi0: Atheros 5212: mem=0xd1000000, irq=17

I have severe performance issues : huge slowdowns and rate in iwconfig dropping around 5Mb or less. I had a lot of "Rx invalid nwid" ; problem was the same on every channel, so it's not interferences. Although I'm close to the access point, iwconfig reports a bad link quality :

Link Quality=18/70  Signal level=-78 dBm  Noise level=-96 dBm

(quality is always around 20).

The following commands improved speed and avoid some occasional disconnection (no more invalid nwid errors, but still CRC errors) :

iwpriv ath0 protmode 0
iwpriv ath0 rssi11g 15
iwpriv ath0 mode 3

However, speed is better with ndiswrapper and windows drivers. Also quality shows :

Link Quality:46/100  Signal level:-66 dBm  Noise level:-96 dBm

This seems more accurate, as my laptop under windows also shows a signal level around -60dBm. Could this be related with this performance issue, and may be with Ticket #705 ?

(in reply to: ↑ 47 ; follow-up: ↓ 49 ) 10/28/07 17:14:44 changed by anonymous

Replying to Thomas.Houssin@gmail.com:

I had a lot of "Rx invalid nwid" ; problem was the same on every channel, so it's not interferences.

Well, that would just mean that you're experiencing the same amount of interference on every channel...

(in reply to: ↑ 48 ) 10/28/07 17:30:01 changed by anonymous

Replying to anonymous:

Replying to Thomas.Houssin@gmail.com:

I had a lot of "Rx invalid nwid" ; problem was the same on every channel, so it's not interferences.

Well, that would just mean that you're experiencing the same amount of interference on every channel...

Yes it could ; but scanning doesn't show other AP. Moreother, it doesn't explain why these errors go away with protmode 0.

11/03/07 17:23:55 changed by anonymous

I've read this complete thread and tried every suggestion. Unfortunately, nothing worked for me. I bought a new router... Problem solved.

My router was becoming a bit old and was hanging from time to time. After a few hang, madwifi was accumulating too much garbage (I suppose) and was totally stuck. The only way I was able to reconnect after that is by restarting my computer. Another symptom I noticed after a madwifi hang is glitch in the mouse motion.

Config : Macbook pro with AR5418 Artheros wifi card. Ubuntu gutsy gibbon, kernel 2.6.22. madwifi r2824

11/18/07 11:48:06 changed by anonymous

same here ... AR5212 rev B3

(in reply to: ↑ 30 ) 08/11/08 06:48:47 changed by mrenzmann

  • status changed from assigned to new.
  • owner deleted.

Replying to mrenzmann:

Note to self: check the source for all possible scenarios that make the "invalid nwid" counter grow and explain them in the wiki - this is a FAQ.

Has been done already, see InvalidNWID.

08/31/08 18:00:42 changed by DarkMan

I have bad situation since loooong time ago... actually from r3402 or some close by... latest svn.. all other branches also.. including this new HAL .. I'm not really sure why you wont fix it or if you are even aware of it.. also I cannot confirm it with any other cards but mine is AR5006X .. when using latest svn it goes something poor like 200kb/s and with r3402 it goes like 2500kb/s

??

09/01/08 09:17:47 changed by DarkMan

I've found exact SVN when things got wrong .. it's r3753 I'll now open new ticket.

(in reply to: ↑ 18 ) 12/08/08 23:59:46 changed by anonymous

Replying to nuclearcat:

Same issue here, strange thing, on gentoo, possible it is related to init-scripts, i am getting association, everything is fine in iwconfig, but no traffic, and nwid increasing like hell. After i do just iwconfig ath0 chan 1 (or any channel), everything begin works well. I will try to run debug soon, and i will post it here.

Did you find something about this?

04/30/09 15:10:23 changed by enhering@gabuleu.com

I'm having the same problem on an ACER 5570 laptop with AR5007 card. I've even bought another card on EBAY and replaced the old one, but the problem persists. I'm using FEDORA 10, but the problem started with FEDORA 7, apparently without reason. No updates were made on the system, but it started losing the wireless connection randomly. Then connection quality started dropping when the OS was changed to FC10, using the ath5k kernel module. We thought that the problem was on the network card and replaced it, but it persisted. I decided to blacklist the ath5k module and download the svn madwifi driver yesterday and it seems to have restarted working, but the link quality is VERY low. Follows below some more info: [root@tati-om hering]# iwpriv ath1 ff 0; iwpriv ath1 burst 0 Interface doesn't accept private ioctl... ff (8BE0): Invalid argument [root@tati-om hering]# iwpriv ath0 protmode 0 ath0 no private ioctls.

[root@tati-om hering]# iwpriv ath1 protmode 0 [root@tati-om hering]# iwpriv ath0 rssi11g 15 ath0 no private ioctls.

[root@tati-om hering]# iwpriv ath1 rssi11g 15 [root@tati-om hering]# iwpriv ath0 mode 3 ath0 no private ioctls.

# lspci 03:00.0 Ethernet controller: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter (rev 01)

# athstats 2901 tx management frames 70 tx failed due to too many retries 1082 long on-chip tx retries 2595 tx frames with no ack marked 66 tx frames with an alternate rate 5486 rx failed due to bad CRC 187 PHY errors

8 OFDM restart 179 CCK restart

104 periodic calibrations rssi of last ack: 54 rssi of last rcv: 60 435 switched default/rx antenna Antenna profile: [1] tx 1096 rx 20231 [2] tx 3776 rx 15430

# iwlist ath1 scanning ath1 Scan completed :

Cell 01 - Address: 00:11:24:20:FB:B5

ESSID:"virginia" Mode:Master Frequency:2.412 GHz (Channel 1) Quality=35/70 Signal level=-60 dBm Noise level=-95 dBm Encryption key:off Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 6 Mb/s

9 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s; 36 Mb/s 48 Mb/s; 54 Mb/s

Extra:bcn_int=100

Cell 02 - Address: 00:1B:11:8F:F5:0C

ESSID:"Rede_Paula" Mode:Master Frequency:2.437 GHz (Channel 6) Quality=6/70 Signal level=-89 dBm Noise level=-95 dBm Encryption key:on Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 6 Mb/s

9 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s; 36 Mb/s 48 Mb/s; 54 Mb/s

Extra:bcn_int=100

Cell 03 - Address: 00:17:9A:69:B4:13

ESSID:"Moura Net" Mode:Master Frequency:2.437 GHz (Channel 6) Quality=8/70 Signal level=-87 dBm Noise level=-95 dBm Encryption key:on Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 6 Mb/s

9 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s; 36 Mb/s 48 Mb/s; 54 Mb/s

Extra:bcn_int=100 IE: IEEE 802.11i/WPA2 Version 1

Group Cipher : CCMP Pairwise Ciphers (1) : CCMP Authentication Suites (1) : PSK

Cell 04 - Address: 00:18:02:7D:02:43

ESSID:"gabuleu" Mode:Master Frequency:2.462 GHz (Channel 11) Quality=50/70 Signal level=-45 dBm Noise level=-95 dBm Encryption key:on Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 6 Mb/s

9 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s; 36 Mb/s 48 Mb/s; 54 Mb/s

Extra:bcn_int=100

Cell 05 - Address: 00:17:F2:E2:1E:33

ESSID:"Ponta Grossa" Mode:Master Frequency:2.417 GHz (Channel 2) Quality=21/70 Signal level=-74 dBm Noise level=-95 dBm Encryption key:on Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 6 Mb/s

9 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s; 36 Mb/s 48 Mb/s; 54 Mb/s

Extra:bcn_int=100

Cell 06 - Address: 00:21:29:96:27:0A

ESSID:"Glaucia" Mode:Master Frequency:2.437 GHz (Channel 6) Quality=20/70 Signal level=-75 dBm Noise level=-95 dBm Encryption key:on Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 18 Mb/s

24 Mb/s; 36 Mb/s; 54 Mb/s; 6 Mb/s; 9 Mb/s 12 Mb/s; 48 Mb/s

Extra:bcn_int=100 IE: WPA Version 1

Group Cipher : CCMP Pairwise Ciphers (1) : CCMP Authentication Suites (1) : PSK

Cell 07 - Address: 00:1C:DF:0D:4D:EE

ESSID:"Dynex" Mode:Master Frequency:2.437 GHz (Channel 6) Quality=5/70 Signal level=-90 dBm Noise level=-95 dBm Encryption key:on Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 18 Mb/s

24 Mb/s; 36 Mb/s; 54 Mb/s; 6 Mb/s; 9 Mb/s 12 Mb/s; 48 Mb/s

Extra:bcn_int=100 IE: IEEE 802.11i/WPA2 Version 1

Group Cipher : TKIP Pairwise Ciphers (2) : CCMP TKIP Authentication Suites (1) : PSK

IE: WPA Version 1

Group Cipher : TKIP Pairwise Ciphers (2) : CCMP TKIP Authentication Suites (1) : PSK

Extra:wme_ie=dd180050f2020101800003a4000027a4000042435e0062322f00

Cell 08 - Address: 00:16:B6:E9:6C:EB

ESSID:"HPNA-321" Mode:Master Frequency:2.437 GHz (Channel 6) Quality=5/70 Signal level=-90 dBm Noise level=-95 dBm Encryption key:on Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 18 Mb/s

24 Mb/s; 36 Mb/s; 54 Mb/s; 6 Mb/s; 9 Mb/s 12 Mb/s; 48 Mb/s

Extra:bcn_int=100 IE: WPA Version 1

Group Cipher : TKIP Pairwise Ciphers (1) : TKIP Authentication Suites (1) : PSK

Cell 09 - Address: 00:1A:70:85:4D:1F

ESSID:"WTH" Mode:Master Frequency:2.452 GHz (Channel 9) Quality=7/70 Signal level=-88 dBm Noise level=-95 dBm Encryption key:on Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 18 Mb/s

24 Mb/s; 36 Mb/s; 54 Mb/s; 6 Mb/s; 9 Mb/s 12 Mb/s; 48 Mb/s

Extra:bcn_int=100 IE: WPA Version 1

Group Cipher : TKIP Pairwise Ciphers (1) : TKIP Authentication Suites (1) : PSK

Cell 10 - Address: 00:1F:F3:C1:FA:BD

ESSID:"xtrader" Mode:Master Frequency:2.412 GHz (Channel 1) Quality=3/70 Signal level=-92 dBm Noise level=-95 dBm Encryption key:on Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 6 Mb/s

9 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s; 36 Mb/s 48 Mb/s; 54 Mb/s

Extra:bcn_int=100 IE: IEEE 802.11i/WPA2 Version 1

Group Cipher : TKIP Pairwise Ciphers (2) : CCMP TKIP Authentication Suites (1) : PSK

IE: WPA Version 1

Group Cipher : TKIP Pairwise Ciphers (1) : TKIP Authentication Suites (1) : PSK

Extra:wme_ie=dd180050f2020101040003a4000027a4000042435e0062322f00

Cell 11 - Address: 00:1E:E5:5D:EB:EB

ESSID:"WTH" Mode:Master Frequency:2.452 GHz (Channel 9) Quality=1/70 Signal level=-94 dBm Noise level=-95 dBm Encryption key:on Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 18 Mb/s

24 Mb/s; 36 Mb/s; 54 Mb/s; 6 Mb/s; 9 Mb/s 12 Mb/s; 48 Mb/s

Extra:bcn_int=100 IE: WPA Version 1

Group Cipher : TKIP Pairwise Ciphers (1) : TKIP Authentication Suites (1) : PSK

Cell 12 - Address: 00:21:91:74:DA:B2

ESSID:"gui" Mode:Master Frequency:2.437 GHz (Channel 6) Quality=3/70 Signal level=-92 dBmNoise level=-95 dBm Encryption key:on Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s;11 Mb/s; 6 Mb/s

9 Mb/s; 12 Mb/s; 48 Mb/s;18 Mb/s; 24 Mb/s 36 Mb/s; 54 Mb/s

Extra:bcn_int=100 IE: WPA Version 1

Group Cipher : TKIP Pairwise Ciphers (1) : TKIP Authentication Suites (1) : PSK

# iwconfig lo no wireless extensions.

eth0 no wireless extensions.

wifi0 no wireless extensions.

ath1 IEEE 802.11g ESSID:"gabuleu" Nickname:""

Mode:Managed Frequency:2.462 GHz Access Point: 00:18:02:7D:02:43 Bit Rate:36 Mb/s Tx-Power:16 dBm Sensitivity=1/1 Retry:off RTS thr:off Fragment thr:off Encryption key:0123-4567-8901-2345-6789-ABCD-EF Security mode:restricted Power Management:off Link Quality=53/70 Signal level=-42 dBm Noise level=-95 dBm Rx invalid nwid:1490 Rx invalid crypt:0 Rx invalid frag:0 Tx excessive retries:0 Invalid misc:0 Missed beacon:0

# iwconfig lo no wireless extensions.

eth0 no wireless extensions.

wifi0 no wireless extensions.

ath1 IEEE 802.11g ESSID:"gabuleu" Nickname:""

Mode:Managed Frequency:2.462 GHz Access Point: 00:18:02:7D:02:43 Bit Rate:36 Mb/s Tx-Power:16 dBm Sensitivity=1/1 Retry:off RTS thr:off Fragment thr:off Encryption key:0123-4567-8901-2345-6789-ABCD-EF Security mode:restricted Power Management:off Link Quality=53/70 Signal level=-42 dBm Noise level=-95 dBm Rx invalid nwid:1490 Rx invalid crypt:0 Rx invalid frag:0 Tx excessive retries:0 Invalid misc:0 Missed beacon:0

# lsmod Module Size Used by vfat 12672 0 fat 42912 1 vfat wlan_wep 9728 1 usb_storage 86536 0 fuse 49436 2 i915 53508 2 drm 158260 3 i915 bridge 43796 0 stp 6148 1 bridge bnep 14848 0 sco 12932 0 l2cap 21504 1 bnep bluetooth 48608 3 bnep,sco,l2cap autofs4 21124 2 sunrpc 156052 3 nf_conntrack_netbios_ns 6272 0 nf_conntrack_ipv6 15864 5 ip6t_REJECT 7296 2 ip6table_filter 6400 1 ip6_tables 14736 1 ip6table_filter ipv6 230516 30 nf_conntrack_ipv6,ip6t_REJECT cpufreq_ondemand 9996 2 acpi_cpufreq 12172 0 dm_multipath 17164 0 uinput 10624 0 snd_hda_intel 354068 4 snd_seq_dummy 6660 0 wlan_scan_sta 15488 1 snd_seq_oss 30364 0 snd_seq_midi_event 9600 1 snd_seq_oss ath_rate_sample 14592 1 snd_seq 48576 5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event snd_seq_device 10124 3 snd_seq_dummy,snd_seq_oss,snd_seq snd_pcm_oss 42496 0 snd_mixer_oss 16896 2 snd_pcm_oss snd_pcm 65924 2 snd_hda_intel,snd_pcm_oss snd_timer 22024 2 snd_seq,snd_pcm snd_page_alloc 11016 2 snd_hda_intel,snd_pcm snd_hwdep 10500 1 snd_hda_intel snd 50616 16 snd_hda_intel,snd_seq_dummy,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_hwdep iTCO_wdt 13732 0 ath_pci 157880 0 tifm_7xx1 9216 0 iTCO_vendor_support 6916 1 iTCO_wdt yenta_socket 24972 1 wlan 185908 5 wlan_wep,wlan_scan_sta,ath_rate_sample,ath_pci soundcore 9416 2 snd tifm_core 10268 1 tifm_7xx1 ath_hal 326768 3 ath_rate_sample,ath_pci rsrc_nonstatic 13568 1 yenta_socket i2c_i801 12048 0 i2c_core 21396 2 drm,i2c_i801 sky2 42628 0 pcspkr 6272 0 acer_wmi 17472 0 video 20500 0 wmi 9768 1 acer_wmi serio_raw 8836 0 output 6528 1 video joydev 12736 0 ata_generic 8452 0 pata_acpi 7680 0

# uname -r 2.6.27.21-170.2.56.fc10.i686

Can somebody help me with this, please?

Thanks in advance.

Eduardo.

04/30/09 15:21:53 changed by dvd.mchl@gmail.com

If you have access to router consider to change channel. Especially if your router is on channel 6. As there are too many on that channel. Try channel 11 or 1.

04/30/09 19:43:15 changed by enhering@gabuleu.com

My router is the one on channel 11.